MARTe2-core - User story #158
Lint: StringHelper
28.06.2015 19:03 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/StringHelper.h

Architecture & design review
Date of the review: 22/07/2015
Person who did the review: Lioreng Capella

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 22/07/2015

Person who did the review: Lloren¢ Capella

Result of review: PASS (MISRA compliant)

List of non-conformities: N/A

Unit test review

Date of the review: 23/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions
Revision 63cbbf58 - 03.07.2015 21:42 - André Neto
Linting of StringHelper finished #158.

Revision 9a98e775 - 09.07.2015 12:31 - André Neto

Linted implementation of StringHelper completed #158.

The StringHelper was implemented and linted. The tests executed with no
errors and all the lint issues were addressed as comments in the code.

Revision 354e6661 - 23.07.2015 16:01 - lvan Herrero

#158 - Minor formatting corrections (following template rules)

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli
- Status changed from New to Code: Impl

#4 - 05.07.2015 23:50 - André Neto

- Assignee set to André Neto

#5 - 09.07.2015 14:20 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 09.07.2015 14:22 - Riccardo Vitelli
- Assignee deleted (André Neto)

#7 - 21.07.2015 16:56 - Llorenc Capella

- Assignee set to Llorenc Capella

#8 - 22.07.2015 09:37 - Llorenc Capella
- Status changed from Code: Rev to Unit: Impl

#9 - 22.07.2015 10:11 - Llorenc Capella

- Description updated

Code and documentation review made on commit 6fe4ela.

#10 - 22.07.2015 10:11 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#11 - 22.07.2015 15:15 - Llorenc Capella

- Assignee set to Llorenc Capella

#12 - 23.07.2015 10:45 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#13 - 23.07.2015 10:46 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#14 - 23.07.2015 15:55 - Ilvan Herrero

- Assignee set to Ivan Herrero
#15 - 23.07.2015 17:02 - lvan Herrero
- Description updated

- Status changed from Unit: Rev to Closed

- Assignee deleted (Ilvan Herrero)

Unit test review made on revision 354e666.

Branch #158_Lint_StringHelper merged on develop branch (commit ad70c5c).

Branch #158_Lint_StringHelper deleted.

05.04.2025

3/3


http://www.tcpdf.org

